<?php

namespace App\Http\Controllers\api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Models\Device;
use Validator;
use Illuminate\Support\Str;

class DeviceController extends Controller
{
    public function create(Request $req){
        $validator = Validator::make($req->all(),[
            //'userId'    => 'required',
            //'userToken' => 'required',
            'androidId' => 'required',  
            'deviceName' => 'required',
            'bluetoothDeviceName' => 'required',
            'bluetoothMacAddress' => 'required',
            'lat' => 'required',
            'long' => 'required',
            'address' => 'required',
            'dateTime' => 'required',
            'connectionStatus' => 'required',
        ]);

        if($validator->fails()){
            return response()->json(['status' => 0, 'message' => $validator->errors()],401);
        }

        $msg1 = 'Device create Successfully';
        $msg2 = 'Device create fail. Please try again!';
        $msg3 = 'Something is wrong. Please try again!';

        $input = $req->all();
        //$userId = $input['userId'];
       // $userToken = $input['userToken'];
        
        //$verifiedUserId = Controller::checkTokenNew($userId,$userToken);
        //if($verifiedUserId == $userId){
            $create = $input;
            $create['latitude'] = $input['lat'];
            $create['longitude'] = $input['long'];
            $create['dateTime'] = $input['dateTime'];
            $device = Device::create($create);

            if($device->id > 0){
                $categorieData = array(
                    'Id'       => $device->id,
                    'androidId'     => $device->androidId,
                    'deviceName'     => $device->deviceName,
                    'bluetoothDeviceName'     => $device->bluetoothDeviceName,
                    'bluetoothMacAddress'     => $device->bluetoothMacAddress,
                    'address'     => $device->address,
                    'latitude' => $device->latitude,
                    'longitude' => $device->longitude,
                    'dateTime' => $device->dateTime,
                    'connectionStatus' => $device->connectionStatus,
                );

                return response()->json(['status' => 1, 'message' => $msg1, 'result' => $categorieData]);
            }else{
                return response()->json(['status' => 0, 'message' => $msg2]);
            }
        //}else{
        //    return response()->json(['status' => 0, 'message' => $msg3]);
       // }
    }
}
