<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDevicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('devices', function (Blueprint $table) {
            $table->id();
            $table->tinyInteger('androidId');
            $table->text('deviceName', 100);
            $table->text('bluetoothDeviceName', 100);
            $table->text('bluetoothMacAddress', 100);
            $table->text('latLon', 100);
            $table->text('address', 100);
            $table->text('dateTime', 100);
            $table->tinyInteger('connectionStatus')->default(0)->index('isDelete')->comment('0=NotDelete,1=Deleted');;
            $table->timestamps();
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('devices');
    }
}
